Bug 22466 - TT methods must not be escaped
Summary: TT methods must not be escaped
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 21576
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-06 14:59 UTC by Jonathan Druart
Modified: 2019-05-27 12:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22466: Add tests (1.19 KB, patch)
2019-03-06 15:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22466: Do not ask for TT methods to be filtered (979 bytes, patch)
2019-03-06 15:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22466: Replace existing occurrences (6.51 KB, patch)
2019-03-06 15:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22466: Add tests (1.25 KB, patch)
2019-03-06 15:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22466: Do not ask for TT methods to be filtered (1.01 KB, patch)
2019-03-06 15:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22466: Replace existing occurrences (6.57 KB, patch)
2019-03-06 15:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22466: Add tests (1.30 KB, patch)
2019-03-06 16:00 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22466: Do not ask for TT methods to be filtered (1.06 KB, patch)
2019-03-06 16:00 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22466: Replace existing occurrences (6.60 KB, patch)
2019-03-06 16:00 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-03-06 14:59:12 UTC
They could (it will not break anything) but it does not make sense.
So far the QA script is failing if they are not.

For instance:
  [% my_array.push(a_var) %]
Comment 1 Jonathan Druart 2019-03-06 15:00:59 UTC
Created attachment 86185 [details] [review]
Bug 22466: Add tests
Comment 2 Jonathan Druart 2019-03-06 15:01:04 UTC
Created attachment 86186 [details] [review]
Bug 22466: Do not ask for TT methods to be filtered
Comment 3 Jonathan Druart 2019-03-06 15:01:10 UTC
Created attachment 86187 [details] [review]
Bug 22466: Replace existing occurrences
Comment 4 Nick Clemens 2019-03-06 15:55:07 UTC
Created attachment 86191 [details] [review]
Bug 22466: Add tests

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Nick Clemens 2019-03-06 15:55:10 UTC
Created attachment 86192 [details] [review]
Bug 22466: Do not ask for TT methods to be filtered

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Nick Clemens 2019-03-06 15:55:13 UTC
Created attachment 86193 [details] [review]
Bug 22466: Replace existing occurrences

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2019-03-06 16:00:17 UTC
Created attachment 86194 [details] [review]
Bug 22466: Add tests

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 8 Tomás Cohen Arazi 2019-03-06 16:00:22 UTC
Created attachment 86195 [details] [review]
Bug 22466: Do not ask for TT methods to be filtered

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Tomás Cohen Arazi 2019-03-06 16:00:28 UTC
Created attachment 86196 [details] [review]
Bug 22466: Replace existing occurrences

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Nick Clemens 2019-03-07 20:50:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 11 Martin Renvoize 2019-03-12 08:36:31 UTC
Pushed to 18.11.x for 18.11.04
Comment 12 Lucas Gass 2019-03-13 23:34:56 UTC
missing 21576 dependency for 18.05.x. wont backport